# Class TypedEvent

java.lang.Object
java.util.EventObject
org.eclipse.swt.events.TypedEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ArmEvent, AuthenticationEvent, CaretEvent, ControlEvent, CTabFolderEvent, DisposeEvent, DragSourceEvent, DropTargetEvent, ExpansionEvent, ExtendedModifyEvent, FocusEvent, GestureEvent, HelpEvent, HyperlinkEvent, KeyEvent, LineBackgroundEvent, LineStyleEvent, LocationEvent, MenuDetectEvent, MenuEvent, ModifyEvent, MouseEvent, MovementEvent, PaintEvent, PaintObjectEvent, ProgressEvent, SegmentEvent, SelectionEvent, ShellEvent, StatusTextEvent, TextChangedEvent, TextChangingEvent, TitleEvent, TouchEvent, WindowEvent`

public class TypedEvent extends EventObject
This is the super class for all typed event classes provided by SWT. Typed events contain particular information which is applicable to the event occurrence.

See Also:
  - `Event`
  - Sample code and further information
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`Object`
`data`
a field for application use
`Display`
`display`
the display where the event occurred
`int`
`time`
the time that the event occurred.
`Widget`
`widget`
the widget that issued the event

### Fields inherited from class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`TypedEvent(Object object)`
Constructs a new instance of this class.
`TypedEvent(Event e)`
Constructs a new instance of this class based on the information in the argument.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class EventObject

`getSource`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### display

public Display display
the display where the event occurred

Since:
  2.0

### widget

public Widget widget
the widget that issued the event

### time

public int time
the time that the event occurred. NOTE: This field is an unsigned integer and should be AND'ed with 0xFFFFFFFFL so that it can be treated as a signed long.

### data

public Object data
a field for application use

## Constructor Details

### TypedEvent

public TypedEvent(Object object)
Constructs a new instance of this class.

Parameters:
  `object` - the object that fired the event

### TypedEvent

public TypedEvent(Event e)
Constructs a new instance of this class based on the information in the argument.

Parameters:
  `e` - the low level event to initialize the receiver with

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `EventObject`
Returns:
  a string representation of the event